public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/xsdlib/
Date: Mon, 12 Sep 2022 09:48:07 +0000 (UTC)	[thread overview]
Message-ID: <1662975911.28e271a7e74b5ec5b3360d14a6bf851d9709fed0.flow@gentoo> (raw)

commit:     28e271a7e74b5ec5b3360d14a6bf851d9709fed0
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Mon Aug 15 14:50:08 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Sep 12 09:45:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28e271a7

dev-java/xsdlib: add 2022.7

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/26873
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-java/xsdlib/Manifest             |  1 +
 dev-java/xsdlib/metadata.xml         |  3 ++
 dev-java/xsdlib/xsdlib-2022.7.ebuild | 73 ++++++++++++++++++++++++++++++++++++
 3 files changed, 77 insertions(+)

diff --git a/dev-java/xsdlib/Manifest b/dev-java/xsdlib/Manifest
index fea44da96ef3..492661f462ca 100644
--- a/dev-java/xsdlib/Manifest
+++ b/dev-java/xsdlib/Manifest
@@ -1 +1,2 @@
+DIST msv-2022.7.tar.gz 2594951 BLAKE2B fce006f4b845efcd930b7999ac00eaab06c404888eb73a6eeab6cfad616b4922271d2d682abc82f3be4c4f6a791aa14681f6e6bfebd2118ac3aa2bcba41fd1f8 SHA512 315342628f79c561883be0d966211dd81daae66a414dcc9bb5a87d86f97121d38b5835e9a6d1ac7c21ccff46040e53d3cabd32e9ea677c9ca4335a86c5259949
 DIST xsdlib-2013.6.1-sources.jar 274740 BLAKE2B 356c3e6005c26a1b63ea016a523140d93bb8c6a4c1952d60f5a881c92dd013e1691451be96e31b7c96c48e1f182e0224bceb712e230bb008ad97732a8e9ffdb6 SHA512 a4e308fae6a1116158ddbebfad0570f6cf1f840acb72de8bdd9414b363da78edf6aea2349f4ac7511b774a494f9e4c17c309f86aefc39b30421a1c86945302b0

diff --git a/dev-java/xsdlib/metadata.xml b/dev-java/xsdlib/metadata.xml
index 4221e170cbc0..a2eeb0a46ec6 100644
--- a/dev-java/xsdlib/metadata.xml
+++ b/dev-java/xsdlib/metadata.xml
@@ -5,4 +5,7 @@
 		<email>java@gentoo.org</email>
 		<name>Java</name>
 	</maintainer>
+	<upstream>
+		<remote-id type="github">xmlark/msv</remote-id>
+	</upstream>
 </pkgmetadata>

diff --git a/dev-java/xsdlib/xsdlib-2022.7.ebuild b/dev-java/xsdlib/xsdlib-2022.7.ebuild
new file mode 100644
index 000000000000..a8282bd5af42
--- /dev/null
+++ b/dev-java/xsdlib/xsdlib-2022.7.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/xmlark/msv/archive/msv-2022.7.tar.gz --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild xsdlib-2022.7.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="net.java.dev.msv:xsdlib:2022.7"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="XML Schema datatypes library"
+HOMEPAGE="https://github.com/xmlark/msv/xsdlib"
+SRC_URI="https://github.com/xmlark/msv/archive/msv-${PV}.tar.gz"
+
+LICENSE="BSD-1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+# Common dependencies
+# POM: pom.xml
+# relaxngDatatype:relaxngDatatype:20020414 -> >=dev-java/relaxng-datatype-20020414:0
+# xerces:xercesImpl:2.12.2 -> >=dev-java/xerces-2.12.2:2
+
+CP_DEPEND="
+	dev-java/relaxng-datatype:0
+	dev-java/xerces:2
+"
+
+# Compile dependencies
+# POM: pom.xml
+# test? junit:junit:4.13.2 -> >=dev-java/junit-4.13.2:4
+# test? org.jdom:jdom2:2.0.6.1 -> >=dev-java/jdom-2.0.6.1:2
+
+DEPEND="
+	>=virtual/jdk-1.8:*
+	${CP_DEPEND}
+	test? (
+		dev-java/jdom:2
+	)
+"
+
+RDEPEND="
+	>=virtual/jre-1.8:*
+	${CP_DEPEND}
+"
+
+S="${WORKDIR}/msv-msv-${PV}/xsdlib"
+
+JAVA_MAIN_CLASS="com.sun.msv.datatype.xsd.CommandLineTester"
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4,jdom-2"
+JAVA_TEST_SRC_DIR="src/test/java"
+
+src_test() {
+	# Selection according to pom.xml#L156-L184
+	pushd src/test/java || die
+		local JAVA_TEST_RUN_ONLY=$(find * \
+			\( -wholename "**/*Test.java" \
+			-o -wholename "**/*TestCase.java" \
+			-o -wholename "**/*TestCases.java" \) \
+			! -wholename "**/*\$*" \
+			)
+	popd
+	JAVA_TEST_RUN_ONLY="${JAVA_TEST_RUN_ONLY//.java}"
+	JAVA_TEST_RUN_ONLY="${JAVA_TEST_RUN_ONLY//\//.}"
+	java-pkg-simple_src_test
+}


             reply	other threads:[~2022-09-12  9:48 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-12  9:48 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-17 15:32 [gentoo-commits] repo/gentoo:master commit in: dev-java/xsdlib/ Arthur Zamarin
2024-10-12 17:12 Arthur Zamarin
2022-10-21  3:51 Miroslav Šulc
2022-10-20 18:59 Jakov Smolić
2022-10-12 21:46 Sam James
2022-10-12 18:56 Arthur Zamarin
2022-09-12  9:48 Florian Schmaus
2022-08-12 13:21 Arthur Zamarin
2022-08-12 11:55 Agostino Sarubbo
2022-08-04 22:53 Sam James
2022-08-04 18:35 Arthur Zamarin
2022-08-04 16:25 Arthur Zamarin
2022-07-05 11:24 Florian Schmaus
2021-06-21  8:48 Miroslav Šulc
2021-03-12 12:18 Miroslav Šulc
2020-09-20  2:04 Sam James
2019-05-18  1:14 Aaron Bauman
2018-03-01  8:46 Michał Górny
2017-07-13 17:27 Alexis Ballier
2017-01-29 15:54 Fabian Groffen

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1662975911.28e271a7e74b5ec5b3360d14a6bf851d9709fed0.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox